API 가져오기
GET /v1/apis/{api_id} · 권한 apis:read
하나의 API를 반환합니다. ETag 응답 헤더는 If-Match에서 사용할 현재 버전을 보유합니다. 다른 환경의 API, 삭제된 API 및 잘못된 형식의 ID는 모두 404를 반환합니다.
요청
| 매개변수 | 위치 | 설명 |
|---|---|---|
api_id |
path | API ID, api_…. |
응답
ETag 헤더가 있는 200 OK:
{
"id": "api_01h455vb4pex5vsknk084sn02q",
"key": "orders",
"identifier": "https://api.example.com/orders",
"name": "Orders API",
"is_system": false,
"access_token_lifetime_s": 3600,
"token_format": "jwt",
"rbac_mode": "off",
"allow_offline_access": true,
"require_resource_indicator": false,
"dpop_required": false,
"mcp_profile": false,
"first_party_access": "all",
"introspection_applications": ["app_01h455vb4pex5vsknk084sn02r"],
"created_at": "2026-10-05T12:00:00Z",
"updated_at": "2026-10-05T12:00:00Z"
}
introspection_applications는 이 API의 토큰을 내부검사할 수 있는 애플리케이션(app_…, ID 순서)을 나열합니다. 비어 있으면 토큰이 발급된 애플리케이션만 내부검사할 수 있습니다.
오류
| HTTP | code | 언제 |
|---|---|---|
| 404 | not_found |
이 환경에 그러한 API가 없습니다. |
| 403 | insufficient_permissions |
자격증명에 apis:read가 없습니다. |
예제
curl https://api.eu.keenauth.com/v1/apis/api_01h455vb4pex5vsknk084sn02q \
-H "Authorization: Bearer $KEENAUTH_SECRET_KEY"